slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSGetMatAndColumn

Returns a sequential dense Mat object containing the requested matrix and one of its columns as a Vec.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetMatAndColumn(DS ds,DSMatType m,PetscInt col,Mat *A,Vec *v)

Not Collective

### Input Parameters

| ds | - the direct solver context
| m | - the requested matrix
| col | - the requested column

### Output Parameters

| A | - Mat object
| v | - Vec object (the column)

### Notes

This calls DSGetMat() and then it extracts the selected column. The user must call DSRestoreMatAndColumn() to recover the original state. For matrices DS_MAT_T and DS_MAT_D, in complex scalars this function implies copying from real values stored internally to scalar values in the Vec.

### See Also

DSRestoreMatAndColumn(), DSGetMat()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages